Create a webhook endpoint (platform)
curl --request POST \
--url https://api.simplepay.mx/v1/webhook_endpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'x-sp-step-up-token: <x-sp-step-up-token>' \
--data '
{
"enabled_events": [],
"url": "<string>"
}
'const options = {
method: 'POST',
headers: {
'x-sp-step-up-token': '<x-sp-step-up-token>',
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({enabled_events: [], url: '<string>'})
};
fetch('https://api.simplepay.mx/v1/webhook_endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.simplepay.mx/v1/webhook_endpoints"
payload = {
"enabled_events": [],
"url": "<string>"
}
headers = {
"x-sp-step-up-token": "<x-sp-step-up-token>",
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)POST
/
v1
/
webhook_endpoints
Create a webhook endpoint (platform)
curl --request POST \
--url https://api.simplepay.mx/v1/webhook_endpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'x-sp-step-up-token: <x-sp-step-up-token>' \
--data '
{
"enabled_events": [],
"url": "<string>"
}
'const options = {
method: 'POST',
headers: {
'x-sp-step-up-token': '<x-sp-step-up-token>',
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({enabled_events: [], url: '<string>'})
};
fetch('https://api.simplepay.mx/v1/webhook_endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.simplepay.mx/v1/webhook_endpoints"
payload = {
"enabled_events": [],
"url": "<string>"
}
headers = {
"x-sp-step-up-token": "<x-sp-step-up-token>",
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Short-lived, single-use SimplePay recent-auth proof bound to this mutation and Idempotency-Key.
Required string length:
32 - 4096Required string length:
8 - 255Body
application/json
Required array length:
1 - 64 elementsAvailable options:
*, account.capability.updated, account.requirements.updated, balance.available, checkout.completed, checkout.created, checkout.expired, dispute.closed, dispute.created, dispute.updated, payment.canceled, payment.created, payment.failed, payment.processing, payment.succeeded, payment_link.completed, payment_link.created, payment_link.deactivated, payment_link.updated, payout.canceled, payout.created, payout.failed, payout.paid, payout.updated, refund.created, refund.failed, refund.succeeded, refund.updated Maximum string length:
2048Pattern:
^https://Maximum string length:
500Response
2XX
Forwarded to the owning origin Worker.
Last modified on September 1, 2026